Skip to main content

Images

Base URL: https://app.neuroflash.com/api/audience-service

Manage profile images for your target audiences.

Get a target audience image

GET/v1/workspaces/{workspaceId}/target-audiences/{targetAudienceId}/image

Returns a signed URL for the target audience image

Path Parameters

ParameterTypeRequiredDescription
targetAudienceIdstringYesTarget Audience ID

Response

FieldTypeDescription
createdAtstring
createdByUserIdstring
fileNamestringFileName is used to generate a storage key which ends with the file name on duplication as well
idstring
targetAudienceIdstring
updatedAtstring
urlstring

Example

curl "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/target-audiences/{target_audience_id}/image" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"

Response:

{
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"fileName": "string",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"targetAudienceId": "string",
"updatedAt": "2025-01-14T16:20:59Z",
"url": "https://storage.googleapis.com/audience-images/113c0b32-ed6c-4421-b7da-d1faf238eb56.jpg"
}

Update the icon of a target audience

PUT/v1/workspaces/{workspaceId}/target-audiences/{targetAudienceId}/image

Path Parameters

ParameterTypeRequiredDescription
workspaceIdstringYesWorkspace ID
targetAudienceIdstringYesTarget Audience ID

Request Body

FieldTypeRequiredDescription
base64stringYes
contentTypestringYes
fileNamestringYes

Response

FieldTypeDescription
createdAtstring
createdByUserIdstring
fileNamestringFileName is used to generate a storage key which ends with the file name on duplication as well
idstring
targetAudienceIdstring
updatedAtstring
urlstring

Example

curl -X PUT "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/target-audiences/{target_audience_id}/image" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"base64": "string",
"contentType": "string",
"fileName": "string"
}'

Response:

{
"createdAt": "2025-01-14T16:20:59Z",
"createdByUserId": "b0920767-2e30-48d3-80ce-268810bc433a",
"fileName": "string",
"id": "113c0b32-ed6c-4421-b7da-d1faf238eb56",
"targetAudienceId": "string",
"updatedAt": "2025-01-14T16:20:59Z",
"url": "https://storage.googleapis.com/audience-images/113c0b32-ed6c-4421-b7da-d1faf238eb56.jpg"
}

Delete a target audience image

DELETE/v1/workspaces/{workspaceId}/target-audiences/{targetAudienceId}/image

Deletes an existing image for a target audience

Path Parameters

ParameterTypeRequiredDescription
targetAudienceIdstringYesTarget Audience ID

Example

curl -X DELETE "https://app.neuroflash.com/api/audience-service/v1/workspaces/{workspace_id}/target-audiences/{target_audience_id}/image" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"